com.sun.grid.jgdi.monitoring

## Interface JobSummary

- All Superinterfaces:
    JobInfo
  All Known Implementing Classes:
    JobSummaryImpl

      public interface JobSummary
      extends JobInfo

  The class JobSummary extends the class JobInfo and adds addtional information about the job.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftRequestedMasterQueue(java.lang.String qname)` Add a soft requested master queue (see qsub -masterq)
    `void` | `addSoftRequestedQueue(java.lang.String qname)` Add a soft requested queue
    `java.util.List` | `getArrayPredecessors()` Get a list of all array predecessor job id
    `java.lang.String` | `getCheckpointEnv()` Get the checkpoint environment of the job
    `int` | `getCpuUsage()` Get the cpu usage of the job.
    `java.util.Date` | `getDeadline()` Get the deadline of the job
    `java.lang.String` | `getDepartment()` Get the department of the job
    `double` | `getDlcontr()` Get the urgency value contribution that reflects the urgency related to the jobs deadline initiation time.
    `long` | `getFtickets()` Get the functional portion of the total number of tickets assigned to the job currently.
    `java.lang.String` | `getGrantedPEName()` Get the name of the granted PE
    `int` | `getGrantedPESlots()` Get the number of granted PE slots
    `java.util.List` | `getHardRequestedMasterQueues()` Get a list of all hard requested master queues
    `java.util.List` | `getHardRequestedQueues()` Get a list of all hard requested queues
    `java.util.Set<java.lang.String>` | `getHardRequestNames()` Get a set of all hard requested resources.
    `HardRequestValue` | `getHardRequestValue(java.lang.String name)` Get a value of a hard requested resource
    `double` | `getIoUsage()` Get the io usage of the job.
    `double` | `getMemUsage()` Get the memory usage of the job.
    `double` | `getNormalizedPriority()` Get the normalized priority of the job
    `double` | `getNormalizedRequestedPriority()` Get the priority of the job which has been requested by the user in normalized form
    `double` | `getNormalizedTickets()` Get the normalized total number of tickets
    `double` | `getNormalizedUrgency()` Get the jobs total urgency value in normalized fashion.
    `long` | `getOtickets()` Get the override portion of the total number of tickets assigned to the job currently
    `long` | `getOverrideTickets()` Get the override tickets of the job
    `java.lang.String` | `getParallelEnvironmentName()` Get the name of the parallel environment of the job
    `java.lang.String` | `getParallelEnvironmentRange()` Get the requested PE slot range.
    `java.util.List` | `getPredecessors()` Get a list of all predecessor job id
    `java.lang.String` | `getProject()` Get the project of the job
    `java.util.List` | `getRequestedArrayPredecessors()` Get a list of all requested array predecessors
    `java.util.List` | `getRequestedPredecessors()` Get a list of all requested predecessors
    `java.util.Set<java.lang.String>` | `getRequestNames()` Get all resources which have been requested by this job.
    `java.lang.String` | `getRequestValue(java.lang.String name)` Get value of a requested resource
    `double` | `getRrcontr()` Get the urgency value contribution that reflects the urgency that is related to the jobs overall resource requirement.
    `double` | `getShare()` Get the share of the total system to which the job is entitled currently.
    `int` | `getSlots()` Get the number of used slots
    `java.util.List` | `getSoftRequestedMasterQueues()` Get a list of all soft requested master queues
    `java.util.List` | `getSoftRequestedQueues()` Get a list of all soft requested queues
    `java.util.Set<java.lang.String>` | `getSoftRequestNames()` Get a set of all soft requested resources
    `java.lang.String` | `getSoftRequestValue(java.lang.String name)` Get the value of a soft requested resource
    `long` | `getStickets()` Get the share portion of the total number of tickets assigned to the job currently.
    `int` | `getTaskCount()` Get the number of tasks of this job
    `java.util.List` | `getTaskList()` Get the list of tasks of this job
    `long` | `getTickets()` Get the currently number of tickets of the job
    `double` | `getUrgency()` Get the total urgency of the job
    `double` | `getWtcontr()` Get the urgency value contribution that reflects the urgency related to the jobs waiting time.
    `boolean` | `hasCpuUsage()` Determine if the job has a cpu usage
    `boolean` | `hasIoUsage()` Determine if the job has a io usage
    `boolean` | `hasMemUsage()` Determine if the job has a memory usage
    `boolean` | `isArray()` Determine if the job is an array job
    `boolean` | `isQueueAssigned()` Determine if the job is assigned to a queue
    `boolean` | `isRunning()` Determine if the job is running
    `boolean` | `isZombie()` Determine if the job is a zombie
    `void` | `setNormalizedUrgency(double nurg)` Set the jobs total urgency value in normalized fashion.
    `void` | `setSlots(int slots)` Set the number of used slots

    - ### Methods inherited from interface com.sun.grid.jgdi.monitoring.JobInfo

      `getId, getMasterQueue, getName, getPriority, getQinstanceName, getQueue, getStartTime, getState, getSubmitTime, getTaskId, getUser`

- - ### Method Detail

    - #### getTaskList

          java.util.List getTaskList()

      Get the list of tasks of this job
      Returns:
        the list of tasks

    - #### getTaskCount

          int getTaskCount()

      Get the number of tasks of this job
      Returns:
        the number of tasks

    - #### getRequestNames

          java.util.Set<java.lang.String> getRequestNames()

      Get all resources which have been requested by this job.

      recource requsts are specified by qsub with the -l option (see man qsub).

      Returns:
        set of resources names

    - #### getRequestValue

          java.lang.String getRequestValue(java.lang.String name)

      Get value of a requested resource
      Parameters:
        `name` - name of the requested resource
      Returns:
        value of the requested resource

    - #### getHardRequestNames

          java.util.Set<java.lang.String> getHardRequestNames()

      Get a set of all hard requested resources.
      Returns:
        set of resource names

    - #### getHardRequestValue

          HardRequestValue getHardRequestValue(java.lang.String name)

      Get a value of a hard requested resource
      Parameters:
        `name` - name of the hard requested resource
      Returns:
        the hard requested resource value (includes the requested value and the urgency contribution)

    - #### getSoftRequestNames

          java.util.Set<java.lang.String> getSoftRequestNames()

      Get a set of all soft requested resources
      Returns:
        set of all soft requested resources

    - #### getSoftRequestValue

          java.lang.String getSoftRequestValue(java.lang.String name)

      Get the value of a soft requested resource
      Parameters:
        `name` - name of the resource
      Returns:
        requested value

    - #### getHardRequestedQueues

          java.util.List getHardRequestedQueues()

      Get a list of all hard requested queues
      Returns:
        list of hard requested queues

    - #### addSoftRequestedQueue

          void addSoftRequestedQueue(java.lang.String qname)

      Add a soft requested queue
      Parameters:
        `qname` - name of the soft requested queue

    - #### getSoftRequestedQueues

          java.util.List getSoftRequestedQueues()

      Get a list of all soft requested queues
      Returns:
        list of all soft requested queues

    - #### getHardRequestedMasterQueues

          java.util.List getHardRequestedMasterQueues()

      Get a list of all hard requested master queues
      Returns:
        list of all hard requested master queues

    - #### addSoftRequestedMasterQueue

          void addSoftRequestedMasterQueue(java.lang.String qname)

      Add a soft requested master queue (see qsub -masterq)
      Parameters:
        `qname` - of the soft requested master queue

    - #### getSoftRequestedMasterQueues

          java.util.List getSoftRequestedMasterQueues()

      Get a list of all soft requested master queues
      Returns:
        list of all soft requested master queues

    - #### getRequestedPredecessors

          java.util.List getRequestedPredecessors()

      Get a list of all requested predecessors
      Returns:
        list of requested predecessors job names

    - #### getRequestedArrayPredecessors

          java.util.List getRequestedArrayPredecessors()

      Get a list of all requested array predecessors
      Returns:
        list of requested array predecessors job names

    - #### getPredecessors

          java.util.List getPredecessors()

      Get a list of all predecessor job id
      Returns:
        list of job ids (java.lang.Integer)

    - #### getArrayPredecessors

          java.util.List getArrayPredecessors()

      Get a list of all array predecessor job id
      Returns:
        list of job ids (java.lang.Integer)

    - #### getNormalizedUrgency

          double getNormalizedUrgency()

      Get the jobs total urgency value in normalized fashion.
      Returns:
        the jobs total urgency value in normalized fashion

    - #### setNormalizedUrgency

          void setNormalizedUrgency(double nurg)

      Set the jobs total urgency value in normalized fashion.
      Parameters:
        `nurg` - the normalized total urgency

    - #### getUrgency

          double getUrgency()

      Get the total urgency of the job
      Returns:
        total urgency of the job

    - #### getNormalizedRequestedPriority

          double getNormalizedRequestedPriority()

      Get the priority of the job which has been requested by the user in normalized form
      Returns:
        the normalized job priority

    - #### getNormalizedPriority

          double getNormalizedPriority()

      Get the normalized priority of the job
      Returns:
        the normalized priority of the job

    - #### getNormalizedTickets

          double getNormalizedTickets()

      Get the normalized total number of tickets
      Returns:
        the normalized total number of tickets

    - #### getRrcontr

          double getRrcontr()

      Get the urgency value contribution that reflects the urgency that is related to the jobs overall resource requirement.
      Returns:
        the urgency value contribution

    - #### getWtcontr

          double getWtcontr()

      Get the urgency value contribution that reflects the urgency related to the jobs waiting time.
      Returns:
        the urgency value contribution

    - #### getDlcontr

          double getDlcontr()

      Get the urgency value contribution that reflects the urgency related to the jobs deadline initiation time.
      Returns:
        the urgency value contribution

    - #### getProject

          java.lang.String getProject()

      Get the project of the job
      Returns:
        the project of the job

    - #### getDepartment

          java.lang.String getDepartment()

      Get the department of the job
      Returns:
        the department of the job

    - #### getDeadline

          java.util.Date getDeadline()

      Get the deadline of the job
      Returns:
        the deadline

    - #### hasCpuUsage

          boolean hasCpuUsage()

      Determine if the job has a cpu usage
      Returns:
        true of the job has a cpu usage

    - #### getCpuUsage

          int getCpuUsage()

      Get the cpu usage of the job. If the jobs has no cpu usage, `0` is returned
      Returns:
        the cpu usage of the job
      See Also:
        `hasCpuUsage()`

    - #### hasMemUsage

          boolean hasMemUsage()

      Determine if the job has a memory usage
      Returns:
        `true` if the job has a memory usage

    - #### getMemUsage

          double getMemUsage()

      Get the memory usage of the job. If the job has no memory usage `0` is returned.
      Returns:
        the memory usage of the job
      See Also:
        `hasMemUsage()`

    - #### hasIoUsage

          boolean hasIoUsage()

      Determine if the job has a io usage
      Returns:
        true of the job has a io usage

    - #### getIoUsage

          double getIoUsage()

      Get the io usage of the job. If the job has no io usage `0` is returned.
      Returns:
        the io usage of the job
      See Also:
        `hasIoUsage()`

    - #### isZombie

          boolean isZombie()

      Determine if the job is a zombie
      Returns:
        `false` if the job a zombie

    - #### getOverrideTickets

          long getOverrideTickets()

      Get the override tickets of the job
      Returns:
        the override tickets of the job

    - #### isQueueAssigned

          boolean isQueueAssigned()

      Determine if the job is assigned to a queue
      Returns:
        `true` if the job is assigned to a queue

    - #### getTickets

          long getTickets()

      Get the currently number of tickets of the job
      Returns:
        currently number of tickets

    - #### getOtickets

          long getOtickets()

      Get the override portion of the total number of tickets assigned to the job currently
      Returns:
        override portion of the total number of tickets

    - #### getFtickets

          long getFtickets()

      Get the functional portion of the total number of tickets assigned to the job currently.
      Returns:
        the functional portion of the total number of tickets

    - #### getStickets

          long getStickets()

      Get the share portion of the total number of tickets assigned to the job currently.
      Returns:
        the share portion of the total number of tickets

    - #### getShare

          double getShare()

      Get the share of the total system to which the job is entitled currently.
      Returns:
        the share of the job

    - #### getSlots

          int getSlots()

      Get the number of used slots
      Returns:
        the number of used slots

    - #### setSlots

          void setSlots(int slots)

      Set the number of used slots
      Parameters:
        `slots` - the number of used slots

    - #### isArray

          boolean isArray()

      Determine if the job is an array job
      Returns:
        `true` if the job is an array job

    - #### isRunning

          boolean isRunning()

      Determine if the job is running
      Returns:
        `true` of the job is running

    - #### getParallelEnvironmentName

          java.lang.String getParallelEnvironmentName()

      Get the name of the parallel environment of the job
      Returns:
        name of the parallel environment

    - #### getParallelEnvironmentRange

          java.lang.String getParallelEnvironmentRange()

      Get the requested PE slot range.
      Returns:
        the requested PE slot range

    - #### getGrantedPEName

          java.lang.String getGrantedPEName()

      Get the name of the granted PE
      Returns:
        name of the granted PE

    - #### getGrantedPESlots

          int getGrantedPESlots()

      Get the number of granted PE slots
      Returns:
        number of granted PE slots

    - #### getCheckpointEnv

          java.lang.String getCheckpointEnv()

      Get the checkpoint environment of the job
      Returns:
        the checkpoint environment of the job

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.